<!DOCTYPE html>
<html>
<head>
  <title>Artillery report</title>
  <script src='https://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js'></script>
  <script src='https://cdnjs.cloudflare.com/ajax/libs/d3/3.5.0/d3.min.js' charset='utf-8'></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/metrics-graphics/2.6.0/metricsgraphics.min.css" />
  <script src="https://cdnjs.cloudflare.com/ajax/libs/metrics-graphics/2.6.0/metricsgraphics.min.js"></script>

  <link href='https://fonts.googleapis.com/css?family=Open+Sans:400,300,700' rel='stylesheet' type='text/css'>
  <link href='https://fonts.googleapis.com/css?family=PT+Serif:400,700,400italic' rel='stylesheet' type='text/css'>
  <link href='https://netdna.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.css' rel='stylesheet' type='text/css'>
  <link href='https://maxcdn.bootstrapcdn.com/bootstrap/3.2.0/css/bootstrap.min.css' rel='stylesheet' type='text/css'>

  <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.10.6/moment.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/lodash.js/3.10.1/lodash.min.js"></script>

  <script src="https://cdnjs.cloudflare.com/ajax/libs/ace/1.2.0/ace.js" charset="utf-8"></script>

  <style>
  body, p, li {
    font-family: sans-serif;
    font-size: 10pt;
  }

  h1 {
    font-size: 18pt;
    font-weight: bold;
  }

  #errorsContainer > p {
    color: #009900;
  }

  #footer {
    padding: 1em;
    font-size: 0.8em;
    color: #999;
    text-align: center;
    margin-top: 1em;
    background-color: #eee;
  }
  #editor {
    font-size: 8pt;
    height: 20em;
  }
  </style>

  <script>
  window.Report = {
  "aggregate": {
    "timestamp": "2021-02-21T13:28:09.405Z",
    "scenariosCreated": 33605,
    "scenariosCompleted": 14894,
    "requestsCompleted": 17719,
    "latency": {
      "min": 191.3,
      "max": 151880.6,
      "median": 20855.3,
      "p95": 116293.1,
      "p99": 120370.8
    },
    "rps": {
      "count": 36430,
      "mean": 39.45
    },
    "scenarioDuration": {
      "min": 404.8,
      "max": 239938.5,
      "median": 25289.7,
      "p95": 117516.3,
      "p99": 126556.3
    },
    "scenarioCounts": {
      "GetSpec": 11284,
      "CalculatePrice fixed_price plan": 11137,
      "CalculatePrice minute plan": 11184
    },
    "errors": {
      "ETIMEDOUT": 18377,
      "ENOTFOUND": 18,
      "ECONNRESET": 203,
      "ESOCKETTIMEDOUT": 113
    },
    "codes": {
      "200": 14893,
      "302": 2825,
      "500": 1
    },
    "matches": 0,
    "customStats": {},
    "counters": {},
    "scenariosAvoided": 0,
    "phases": [
      {
        "duration": 60,
        "arrivalRate": 5,
        "name": "Warm up"
      },
      {
        "duration": 120,
        "arrivalRate": 5,
        "rampTo": 50,
        "name": "Ramp up load"
      },
      {
        "duration": 600,
        "arrivalRate": 50,
        "name": "Sustained load"
      }
    ]
  },
  "intermediate": [
    {
      "timestamp": "2021-02-21T13:12:55.655Z",
      "scenariosCreated": 49,
      "scenariosCompleted": 43,
      "requestsCompleted": 88,
      "latency": {
        "min": 250.3,
        "max": 3920.7,
        "median": 830.3,
        "p95": 1117.7,
        "p99": 2915.2
      },
      "rps": {
        "count": 94,
        "mean": 9.64
      },
      "scenarioDuration": {
        "min": 1161,
        "max": 4299.7,
        "median": 1278.1,
        "p95": 1694.6,
        "p99": 4299.7
      },
      "scenarioCounts": {
        "GetSpec": 19,
        "CalculatePrice fixed_price plan": 17,
        "CalculatePrice minute plan": 13
      },
      "errors": {},
      "codes": {
        "200": 43,
        "302": 45
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 6,
      "pendingRequests": 6,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:13:05.649Z",
      "scenariosCreated": 50,
      "scenariosCompleted": 49,
      "requestsCompleted": 100,
      "latency": {
        "min": 258,
        "max": 2734.4,
        "median": 830.4,
        "p95": 992.2,
        "p99": 2065.9
      },
      "rps": {
        "count": 100,
        "mean": 10.03
      },
      "scenarioDuration": {
        "min": 1171.8,
        "max": 1760.1,
        "median": 1256.4,
        "p95": 1429.2,
        "p99": 1760.1
      },
      "scenarioCounts": {
        "CalculatePrice fixed_price plan": 20,
        "CalculatePrice minute plan": 16,
        "GetSpec": 14
      },
      "errors": {},
      "codes": {
        "200": 50,
        "302": 50
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 7,
      "pendingRequests": 6,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:13:15.649Z",
      "scenariosCreated": 50,
      "scenariosCompleted": 50,
      "requestsCompleted": 99,
      "latency": {
        "min": 267.1,
        "max": 1289.8,
        "median": 815,
        "p95": 987.3,
        "p99": 1169.1
      },
      "rps": {
        "count": 100,
        "mean": 10
      },
      "scenarioDuration": {
        "min": 1148.9,
        "max": 12369.2,
        "median": 1249.8,
        "p95": 1381.1,
        "p99": 12369.2
      },
      "scenarioCounts": {
        "CalculatePrice fixed_price plan": 17,
        "CalculatePrice minute plan": 18,
        "GetSpec": 15
      },
      "errors": {},
      "codes": {
        "200": 49,
        "302": 50
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 7,
      "pendingRequests": 7,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:13:25.649Z",
      "scenariosCreated": 50,
      "scenariosCompleted": 48,
      "requestsCompleted": 100,
      "latency": {
        "min": 256.8,
        "max": 1262,
        "median": 796.7,
        "p95": 1031.3,
        "p99": 1201.1
      },
      "rps": {
        "count": 100,
        "mean": 10
      },
      "scenarioDuration": {
        "min": 1171.3,
        "max": 1949.8,
        "median": 1252.9,
        "p95": 1485.2,
        "p99": 1949.8
      },
      "scenarioCounts": {
        "CalculatePrice minute plan": 10,
        "GetSpec": 22,
        "CalculatePrice fixed_price plan": 18
      },
      "errors": {},
      "codes": {
        "200": 50,
        "302": 50
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 9,
      "pendingRequests": 7,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:13:35.653Z",
      "scenariosCreated": 50,
      "scenariosCompleted": 52,
      "requestsCompleted": 71,
      "latency": {
        "min": 269.2,
        "max": 14738.7,
        "median": 678.6,
        "p95": 1299.7,
        "p99": 14475.9
      },
      "rps": {
        "count": 69,
        "mean": 6.9
      },
      "scenarioDuration": {
        "min": 462.9,
        "max": 1956.9,
        "median": 976.6,
        "p95": 1578.9,
        "p99": 1950.6
      },
      "scenarioCounts": {
        "CalculatePrice minute plan": 16,
        "GetSpec": 19,
        "CalculatePrice fixed_price plan": 15
      },
      "errors": {},
      "codes": {
        "200": 52,
        "302": 19
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 7,
      "pendingRequests": 5,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:13:45.651Z",
      "scenariosCreated": 50,
      "scenariosCompleted": 50,
      "requestsCompleted": 90,
      "latency": {
        "min": 258.3,
        "max": 1600.1,
        "median": 696.1,
        "p95": 1010.7,
        "p99": 1419.5
      },
      "rps": {
        "count": 92,
        "mean": 9.21
      },
      "scenarioDuration": {
        "min": 439.9,
        "max": 29314.7,
        "median": 1232.8,
        "p95": 1978.6,
        "p99": 29314.7
      },
      "scenarioCounts": {
        "CalculatePrice fixed_price plan": 14,
        "GetSpec": 16,
        "CalculatePrice minute plan": 20
      },
      "errors": {},
      "codes": {
        "200": 48,
        "302": 42
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 7,
      "pendingRequests": 7,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:13:55.659Z",
      "scenariosCreated": 66,
      "scenariosCompleted": 65,
      "requestsCompleted": 66,
      "latency": {
        "min": 293.1,
        "max": 3779.1,
        "median": 953.3,
        "p95": 1649.6,
        "p99": 3691.9
      },
      "rps": {
        "count": 67,
        "mean": 6.71
      },
      "scenarioDuration": {
        "min": 475.2,
        "max": 7672.7,
        "median": 980.2,
        "p95": 1768.9,
        "p99": 7226.3
      },
      "scenarioCounts": {
        "GetSpec": 25,
        "CalculatePrice fixed_price plan": 25,
        "CalculatePrice minute plan": 16
      },
      "errors": {},
      "codes": {
        "200": 65,
        "302": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 8,
      "pendingRequests": 8,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:14:05.658Z",
      "scenariosCreated": 97,
      "scenariosCompleted": 90,
      "requestsCompleted": 102,
      "latency": {
        "min": 273.1,
        "max": 33442.8,
        "median": 1349.1,
        "p95": 3041.7,
        "p99": 28051.9
      },
      "rps": {
        "count": 106,
        "mean": 10.69
      },
      "scenarioDuration": {
        "min": 607.8,
        "max": 23654.7,
        "median": 1465.3,
        "p95": 3112.6,
        "p99": 17089.9
      },
      "scenarioCounts": {
        "GetSpec": 31,
        "CalculatePrice fixed_price plan": 35,
        "CalculatePrice minute plan": 31
      },
      "errors": {},
      "codes": {
        "200": 93,
        "302": 9
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 15,
      "pendingRequests": 12,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:14:15.659Z",
      "scenariosCreated": 151,
      "scenariosCompleted": 140,
      "requestsCompleted": 145,
      "latency": {
        "min": 275.6,
        "max": 3681.5,
        "median": 1344.4,
        "p95": 2967.3,
        "p99": 3577.6
      },
      "rps": {
        "count": 158,
        "mean": 15.94
      },
      "scenarioDuration": {
        "min": 580.6,
        "max": 35825.4,
        "median": 1417.6,
        "p95": 3160.8,
        "p99": 33522.8
      },
      "scenarioCounts": {
        "CalculatePrice minute plan": 53,
        "GetSpec": 47,
        "CalculatePrice fixed_price plan": 51
      },
      "errors": {},
      "codes": {
        "200": 138,
        "302": 7
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 26,
      "pendingRequests": 25,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:14:25.660Z",
      "scenariosCreated": 180,
      "scenariosCompleted": 178,
      "requestsCompleted": 183,
      "latency": {
        "min": 266.5,
        "max": 2942.7,
        "median": 839.2,
        "p95": 2176.1,
        "p99": 2768.6
      },
      "rps": {
        "count": 185,
        "mean": 18.59
      },
      "scenarioDuration": {
        "min": 435.2,
        "max": 8321.7,
        "median": 900.3,
        "p95": 2383.5,
        "p99": 3272.6
      },
      "scenarioCounts": {
        "CalculatePrice minute plan": 64,
        "GetSpec": 64,
        "CalculatePrice fixed_price plan": 52
      },
      "errors": {},
      "codes": {
        "200": 178,
        "302": 5
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 28,
      "pendingRequests": 27,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:14:35.674Z",
      "scenariosCreated": 227,
      "scenariosCompleted": 233,
      "requestsCompleted": 236,
      "latency": {
        "min": 556.8,
        "max": 34061.6,
        "median": 749.2,
        "p95": 1525.1,
        "p99": 2393.5
      },
      "rps": {
        "count": 227,
        "mean": 22.75
      },
      "scenarioDuration": {
        "min": 574.6,
        "max": 2528.9,
        "median": 766.8,
        "p95": 1542.1,
        "p99": 2330.9
      },
      "scenarioCounts": {
        "GetSpec": 68,
        "CalculatePrice fixed_price plan": 85,
        "CalculatePrice minute plan": 74
      },
      "errors": {},
      "codes": {
        "200": 236
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 22,
      "pendingRequests": 18,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:14:45.664Z",
      "scenariosCreated": 251,
      "scenariosCompleted": 231,
      "requestsCompleted": 229,
      "latency": {
        "min": 556,
        "max": 12322.1,
        "median": 752.9,
        "p95": 1801.5,
        "p99": 3568.7
      },
      "rps": {
        "count": 252,
        "mean": 25.45
      },
      "scenarioDuration": {
        "min": 575.2,
        "max": 37937.7,
        "median": 777.8,
        "p95": 1854.1,
        "p99": 7372.8
      },
      "scenarioCounts": {
        "CalculatePrice fixed_price plan": 92,
        "CalculatePrice minute plan": 88,
        "GetSpec": 71
      },
      "errors": {},
      "codes": {
        "200": 228,
        "302": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 42,
      "pendingRequests": 41,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:14:55.673Z",
      "scenariosCreated": 294,
      "scenariosCompleted": 305,
      "requestsCompleted": 306,
      "latency": {
        "min": 282.7,
        "max": 18894.8,
        "median": 850.7,
        "p95": 1734.5,
        "p99": 5712.9
      },
      "rps": {
        "count": 295,
        "mean": 29.53
      },
      "scenarioDuration": {
        "min": 440.6,
        "max": 19976.8,
        "median": 880.8,
        "p95": 1753.8,
        "p99": 6266.1
      },
      "scenarioCounts": {
        "GetSpec": 94,
        "CalculatePrice fixed_price plan": 104,
        "CalculatePrice minute plan": 96
      },
      "errors": {},
      "codes": {
        "200": 305,
        "302": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 31,
      "pendingRequests": 30,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:15:05.671Z",
      "scenariosCreated": 330,
      "scenariosCompleted": 328,
      "requestsCompleted": 329,
      "latency": {
        "min": 560.4,
        "max": 29649.5,
        "median": 677.6,
        "p95": 1456.4,
        "p99": 2298.2
      },
      "rps": {
        "count": 330,
        "mean": 33.03
      },
      "scenarioDuration": {
        "min": 580,
        "max": 3265.2,
        "median": 697.6,
        "p95": 1478.6,
        "p99": 2328.1
      },
      "scenarioCounts": {
        "CalculatePrice fixed_price plan": 110,
        "GetSpec": 99,
        "CalculatePrice minute plan": 121
      },
      "errors": {},
      "codes": {
        "200": 329
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 33,
      "pendingRequests": 31,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:15:15.670Z",
      "scenariosCreated": 368,
      "scenariosCompleted": 373,
      "requestsCompleted": 375,
      "latency": {
        "min": 407.8,
        "max": 18144.8,
        "median": 881,
        "p95": 1374.4,
        "p99": 2038.5
      },
      "rps": {
        "count": 368,
        "mean": 36.87
      },
      "scenarioDuration": {
        "min": 426.4,
        "max": 31424.9,
        "median": 896.5,
        "p95": 1404.6,
        "p99": 3153.4
      },
      "scenarioCounts": {
        "CalculatePrice fixed_price plan": 124,
        "CalculatePrice minute plan": 120,
        "GetSpec": 124
      },
      "errors": {},
      "codes": {
        "200": 375
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 28,
      "pendingRequests": 24,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:15:25.674Z",
      "scenariosCreated": 397,
      "scenariosCompleted": 377,
      "requestsCompleted": 375,
      "latency": {
        "min": 402.5,
        "max": 39995.3,
        "median": 984.1,
        "p95": 1225.7,
        "p99": 1986.5
      },
      "rps": {
        "count": 397,
        "mean": 39.7
      },
      "scenarioDuration": {
        "min": 415.5,
        "max": 2469.2,
        "median": 1001.8,
        "p95": 1230.3,
        "p99": 1605.6
      },
      "scenarioCounts": {
        "CalculatePrice fixed_price plan": 140,
        "CalculatePrice minute plan": 126,
        "GetSpec": 131
      },
      "errors": {},
      "codes": {
        "200": 375
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 48,
      "pendingRequests": 46,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:15:35.682Z",
      "scenariosCreated": 440,
      "scenariosCompleted": 442,
      "requestsCompleted": 441,
      "latency": {
        "min": 393.4,
        "max": 44251.9,
        "median": 918.5,
        "p95": 1415.6,
        "p99": 2246.3
      },
      "rps": {
        "count": 440,
        "mean": 44
      },
      "scenarioDuration": {
        "min": 415.3,
        "max": 49239.7,
        "median": 939.6,
        "p95": 1449.9,
        "p99": 7085.6
      },
      "scenarioCounts": {
        "CalculatePrice minute plan": 148,
        "GetSpec": 147,
        "CalculatePrice fixed_price plan": 145
      },
      "errors": {},
      "codes": {
        "200": 441
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 46,
      "pendingRequests": 45,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:15:45.680Z",
      "scenariosCreated": 480,
      "scenariosCompleted": 478,
      "requestsCompleted": 478,
      "latency": {
        "min": 393,
        "max": 26336.7,
        "median": 863.2,
        "p95": 1496.2,
        "p99": 8046.5
      },
      "rps": {
        "count": 480,
        "mean": 48.14
      },
      "scenarioDuration": {
        "min": 405.3,
        "max": 24067,
        "median": 888.4,
        "p95": 1520.1,
        "p99": 6959
      },
      "scenarioCounts": {
        "GetSpec": 180,
        "CalculatePrice minute plan": 157,
        "CalculatePrice fixed_price plan": 143
      },
      "errors": {},
      "codes": {
        "200": 478
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 48,
      "pendingRequests": 47,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:15:55.670Z",
      "scenariosCreated": 499,
      "scenariosCompleted": 503,
      "requestsCompleted": 503,
      "latency": {
        "min": 401.4,
        "max": 32964.1,
        "median": 906.5,
        "p95": 1633.1,
        "p99": 5210
      },
      "rps": {
        "count": 499,
        "mean": 50
      },
      "scenarioDuration": {
        "min": 416.8,
        "max": 36405.2,
        "median": 925.9,
        "p95": 1672.8,
        "p99": 9224.3
      },
      "scenarioCounts": {
        "CalculatePrice minute plan": 195,
        "GetSpec": 151,
        "CalculatePrice fixed_price plan": 153
      },
      "errors": {},
      "codes": {
        "200": 503
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 44,
      "pendingRequests": 43,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:16:05.669Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 506,
      "requestsCompleted": 508,
      "latency": {
        "min": 393.4,
        "max": 25806.6,
        "median": 833,
        "p95": 1158.7,
        "p99": 3858.1
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": 409.4,
        "max": 27131.3,
        "median": 847.9,
        "p95": 1180.4,
        "p99": 4411
      },
      "scenarioCounts": {
        "GetSpec": 154,
        "CalculatePrice fixed_price plan": 167,
        "CalculatePrice minute plan": 179
      },
      "errors": {},
      "codes": {
        "200": 508
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 38,
      "pendingRequests": 35,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:16:15.667Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 253,
      "requestsCompleted": 250,
      "latency": {
        "min": 392.1,
        "max": 11013.8,
        "median": 862.7,
        "p95": 1330.2,
        "p99": 2255
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": 404.8,
        "max": 12116,
        "median": 868.6,
        "p95": 1349.8,
        "p99": 2250.9
      },
      "scenarioCounts": {
        "GetSpec": 180,
        "CalculatePrice fixed_price plan": 160,
        "CalculatePrice minute plan": 160
      },
      "errors": {},
      "codes": {
        "200": 250
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 285,
      "pendingRequests": 285,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:16:25.666Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 8,
      "requestsCompleted": 8,
      "latency": {
        "min": 750.5,
        "max": 28467.2,
        "median": 4781.9,
        "p95": 28467.2,
        "p99": 28467.2
      },
      "rps": {
        "count": 500,
        "mean": 50.1
      },
      "scenarioDuration": {
        "min": 766.6,
        "max": 33869.9,
        "median": 5423.8,
        "p95": 33869.9,
        "p99": 33869.9
      },
      "scenarioCounts": {
        "CalculatePrice minute plan": 173,
        "GetSpec": 162,
        "CalculatePrice fixed_price plan": 165
      },
      "errors": {},
      "codes": {
        "200": 8
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 777,
      "pendingRequests": 777,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:16:35.665Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 3,
      "requestsCompleted": 3,
      "latency": {
        "min": 3649.1,
        "max": 35496.1,
        "median": 24798.8,
        "p95": 35496.1,
        "p99": 35496.1
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": 3662.9,
        "max": 38287.2,
        "median": 25924.9,
        "p95": 38287.2,
        "p99": 38287.2
      },
      "scenarioCounts": {
        "CalculatePrice minute plan": 168,
        "GetSpec": 170,
        "CalculatePrice fixed_price plan": 162
      },
      "errors": {},
      "codes": {
        "200": 3
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1274,
      "pendingRequests": 1274,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:16:45.666Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "CalculatePrice minute plan": 165,
        "CalculatePrice fixed_price plan": 163,
        "GetSpec": 172
      },
      "errors": {},
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1774,
      "pendingRequests": 1774,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:16:55.665Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 68,
      "requestsCompleted": 70,
      "latency": {
        "min": 450.5,
        "max": 27153.7,
        "median": 5033.5,
        "p95": 26492.3,
        "p99": 27054.3
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": 464.3,
        "max": 27169.2,
        "median": 4938.1,
        "p95": 26521.2,
        "p99": 27081.2
      },
      "scenarioCounts": {
        "GetSpec": 162,
        "CalculatePrice minute plan": 174,
        "CalculatePrice fixed_price plan": 164
      },
      "errors": {},
      "codes": {
        "200": 70
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 2206,
      "pendingRequests": 2204,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:17:05.665Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 99,
      "requestsCompleted": 97,
      "latency": {
        "min": 478.2,
        "max": 48300.5,
        "median": 6303.5,
        "p95": 41040.5,
        "p99": 48267.5
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": 493.3,
        "max": 48315.7,
        "median": 6311.2,
        "p95": 39185.6,
        "p99": 48282.1
      },
      "scenarioCounts": {
        "CalculatePrice minute plan": 165,
        "CalculatePrice fixed_price plan": 164,
        "GetSpec": 171
      },
      "errors": {},
      "codes": {
        "200": 97
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 2607,
      "pendingRequests": 2607,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:17:15.666Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 100,
      "requestsCompleted": 102,
      "latency": {
        "min": 401.4,
        "max": 48400.2,
        "median": 6191.9,
        "p95": 48142.2,
        "p99": 48378.4
      },
      "rps": {
        "count": 500,
        "mean": 50.1
      },
      "scenarioDuration": {
        "min": 410.9,
        "max": 48412.2,
        "median": 6207.7,
        "p95": 48168.5,
        "p99": 48391.4
      },
      "scenarioCounts": {
        "CalculatePrice minute plan": 163,
        "GetSpec": 166,
        "CalculatePrice fixed_price plan": 171
      },
      "errors": {},
      "codes": {
        "200": 102
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 3007,
      "pendingRequests": 3005,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:17:25.666Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 99,
      "requestsCompleted": 97,
      "latency": {
        "min": 403.8,
        "max": 48414.3,
        "median": 4458.1,
        "p95": 47698,
        "p99": 48393.3
      },
      "rps": {
        "count": 500,
        "mean": 50.1
      },
      "scenarioDuration": {
        "min": 420.9,
        "max": 48432.9,
        "median": 4691,
        "p95": 47710.2,
        "p99": 48408.9
      },
      "scenarioCounts": {
        "GetSpec": 162,
        "CalculatePrice minute plan": 166,
        "CalculatePrice fixed_price plan": 172
      },
      "errors": {},
      "codes": {
        "200": 97
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 3408,
      "pendingRequests": 3408,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:17:35.666Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 82,
      "requestsCompleted": 83,
      "latency": {
        "min": 396.8,
        "max": 47723.1,
        "median": 5794.5,
        "p95": 47671.8,
        "p99": 47718.5
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": 406.8,
        "max": 47745.6,
        "median": 5467,
        "p95": 47689.3,
        "p99": 47737.2
      },
      "scenarioCounts": {
        "CalculatePrice minute plan": 167,
        "GetSpec": 162,
        "CalculatePrice fixed_price plan": 171
      },
      "errors": {},
      "codes": {
        "200": 83
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 3826,
      "pendingRequests": 3825,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:17:45.665Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 84,
      "requestsCompleted": 83,
      "latency": {
        "min": 419.9,
        "max": 91315.1,
        "median": 4759.2,
        "p95": 47875,
        "p99": 91161
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": 433.8,
        "max": 91352.9,
        "median": 4787.7,
        "p95": 47867,
        "p99": 91186.9
      },
      "scenarioCounts": {
        "GetSpec": 163,
        "CalculatePrice fixed_price plan": 179,
        "CalculatePrice minute plan": 158
      },
      "errors": {},
      "codes": {
        "200": 83
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4242,
      "pendingRequests": 4242,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:17:55.666Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 67,
      "requestsCompleted": 67,
      "latency": {
        "min": 1760.3,
        "max": 91629.3,
        "median": 9914.1,
        "p95": 91534.3,
        "p99": 91621.5
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": 1777.6,
        "max": 91640,
        "median": 9941.9,
        "p95": 91539.4,
        "p99": 91633.7
      },
      "scenarioCounts": {
        "GetSpec": 189,
        "CalculatePrice minute plan": 153,
        "CalculatePrice fixed_price plan": 158
      },
      "errors": {
        "ETIMEDOUT": 212
      },
      "codes": {
        "200": 67
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4463,
      "pendingRequests": 4675,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:18:05.665Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 85,
      "requestsCompleted": 87,
      "latency": {
        "min": 9813,
        "max": 91348.1,
        "median": 47505.7,
        "p95": 91196.7,
        "p99": 91335.9
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": 9830.4,
        "max": 91756.7,
        "median": 47524.6,
        "p95": 91265.3,
        "p99": 91618.2
      },
      "scenarioCounts": {
        "CalculatePrice minute plan": 156,
        "CalculatePrice fixed_price plan": 167,
        "GetSpec": 177
      },
      "errors": {
        "ETIMEDOUT": 499
      },
      "codes": {
        "200": 87
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4379,
      "pendingRequests": 5088,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:18:15.666Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 153,
      "requestsCompleted": 152,
      "latency": {
        "min": 25222.1,
        "max": 92666.3,
        "median": 47370.3,
        "p95": 90865.6,
        "p99": 91236
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": 25230.7,
        "max": 93096.5,
        "median": 47365.5,
        "p95": 90872.6,
        "p99": 90960.2
      },
      "scenarioCounts": {
        "CalculatePrice fixed_price plan": 146,
        "CalculatePrice minute plan": 190,
        "GetSpec": 164
      },
      "errors": {
        "ETIMEDOUT": 474
      },
      "codes": {
        "200": 152
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4252,
      "pendingRequests": 5436,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:18:25.666Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 167,
      "requestsCompleted": 166,
      "latency": {
        "min": 33144.8,
        "max": 93446.7,
        "median": 47273.9,
        "p95": 90466.2,
        "p99": 92249.3
      },
      "rps": {
        "count": 500,
        "mean": 50.1
      },
      "scenarioDuration": {
        "min": 35161.7,
        "max": 93578.4,
        "median": 47308,
        "p95": 90495,
        "p99": 93173.5
      },
      "scenarioCounts": {
        "CalculatePrice minute plan": 162,
        "GetSpec": 163,
        "CalculatePrice fixed_price plan": 175
      },
      "errors": {
        "ETIMEDOUT": 423,
        "ENOTFOUND": 2
      },
      "codes": {
        "200": 166
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4160,
      "pendingRequests": 5770,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:18:35.667Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 195,
      "requestsCompleted": 239,
      "latency": {
        "min": 45869.2,
        "max": 94161.4,
        "median": 89030.1,
        "p95": 91379.3,
        "p99": 92097.6
      },
      "rps": {
        "count": 544,
        "mean": 54.45
      },
      "scenarioDuration": {
        "min": 45885.2,
        "max": 94174.9,
        "median": 89033.9,
        "p95": 91172.6,
        "p99": 91848.5
      },
      "scenarioCounts": {
        "GetSpec": 172,
        "CalculatePrice minute plan": 160,
        "CalculatePrice fixed_price plan": 168
      },
      "errors": {
        "ETIMEDOUT": 328
      },
      "codes": {
        "200": 195,
        "302": 44
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4137,
      "pendingRequests": 6075,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:18:45.666Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 219,
      "requestsCompleted": 221,
      "latency": {
        "min": 88737.7,
        "max": 114986.6,
        "median": 88917.4,
        "p95": 89739.4,
        "p99": 92366
      },
      "rps": {
        "count": 501,
        "mean": 50.15
      },
      "scenarioDuration": {
        "min": 88749,
        "max": 115436,
        "median": 88930,
        "p95": 89755.6,
        "p99": 92572.2
      },
      "scenarioCounts": {
        "CalculatePrice minute plan": 172,
        "CalculatePrice fixed_price plan": 159,
        "GetSpec": 169
      },
      "errors": {
        "ETIMEDOUT": 299
      },
      "codes": {
        "200": 220,
        "302": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4119,
      "pendingRequests": 6355,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:18:55.666Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 272,
      "requestsCompleted": 278,
      "latency": {
        "min": 58583,
        "max": 117072.5,
        "median": 88854.6,
        "p95": 89727.5,
        "p99": 96811.8
      },
      "rps": {
        "count": 503,
        "mean": 50.35
      },
      "scenarioDuration": {
        "min": 62542,
        "max": 118429.4,
        "median": 88853.9,
        "p95": 89724.6,
        "p99": 91008.3
      },
      "scenarioCounts": {
        "GetSpec": 165,
        "CalculatePrice minute plan": 163,
        "CalculatePrice fixed_price plan": 172
      },
      "errors": {
        "ETIMEDOUT": 172,
        "ENOTFOUND": 2
      },
      "codes": {
        "200": 275,
        "302": 3
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4173,
      "pendingRequests": 6580,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:19:05.667Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 330,
      "requestsCompleted": 328,
      "latency": {
        "min": 87881.7,
        "max": 112234.2,
        "median": 88540.2,
        "p95": 89809.3,
        "p99": 93160.9
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": 87896,
        "max": 112235.2,
        "median": 88566.2,
        "p95": 89811.3,
        "p99": 93098.4
      },
      "scenarioCounts": {
        "CalculatePrice minute plan": 154,
        "CalculatePrice fixed_price plan": 178,
        "GetSpec": 168
      },
      "errors": {
        "ETIMEDOUT": 89
      },
      "codes": {
        "200": 328
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4254,
      "pendingRequests": 6752,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:19:15.667Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 250,
      "requestsCompleted": 276,
      "latency": {
        "min": 87396.6,
        "max": 105788.2,
        "median": 88112.1,
        "p95": 89331.2,
        "p99": 89741.9
      },
      "rps": {
        "count": 528,
        "mean": 52.85
      },
      "scenarioDuration": {
        "min": 87414.5,
        "max": 92845.9,
        "median": 88032.5,
        "p95": 89378.2,
        "p99": 89814.2
      },
      "scenarioCounts": {
        "GetSpec": 181,
        "CalculatePrice fixed_price plan": 151,
        "CalculatePrice minute plan": 168
      },
      "errors": {
        "ETIMEDOUT": 25
      },
      "codes": {
        "200": 248,
        "302": 28
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4479,
      "pendingRequests": 7004,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:19:25.665Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 4,
      "requestsCompleted": 6,
      "latency": {
        "min": 89275.2,
        "max": 119468.5,
        "median": 104052.9,
        "p95": 119468.5,
        "p99": 119468.5
      },
      "rps": {
        "count": 502,
        "mean": 50.25
      },
      "scenarioDuration": {
        "min": 89291.1,
        "max": 120345.1,
        "median": 99291.8,
        "p95": 120345.1,
        "p99": 120345.1
      },
      "scenarioCounts": {
        "CalculatePrice minute plan": 176,
        "GetSpec": 169,
        "CalculatePrice fixed_price plan": 155
      },
      "errors": {
        "ENOTFOUND": 2
      },
      "codes": {
        "200": 4,
        "302": 2
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4973,
      "pendingRequests": 7500,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:19:35.666Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 1,
      "requestsCompleted": 3,
      "latency": {
        "min": 104304.9,
        "max": 131354.9,
        "median": 117626.7,
        "p95": 131354.9,
        "p99": 131354.9
      },
      "rps": {
        "count": 502,
        "mean": 50.25
      },
      "scenarioDuration": {
        "min": 107883.7,
        "max": 107883.7,
        "median": 107883.7,
        "p95": 107883.7,
        "p99": 107883.7
      },
      "scenarioCounts": {
        "GetSpec": 163,
        "CalculatePrice fixed_price plan": 159,
        "CalculatePrice minute plan": 178
      },
      "errors": {},
      "codes": {
        "200": 1,
        "302": 2
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 5472,
      "pendingRequests": 7999,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:19:45.665Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "CalculatePrice fixed_price plan": 168,
        "GetSpec": 167,
        "CalculatePrice minute plan": 165
      },
      "errors": {},
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 5972,
      "pendingRequests": 8499,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:19:55.666Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 1,
      "latency": {
        "min": 130951.1,
        "max": 130951.1,
        "median": 130951.1,
        "p95": 130951.1,
        "p99": 130951.1
      },
      "rps": {
        "count": 501,
        "mean": 50.15
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "CalculatePrice fixed_price plan": 168,
        "GetSpec": 161,
        "CalculatePrice minute plan": 171
      },
      "errors": {
        "ENOTFOUND": 2,
        "ETIMEDOUT": 389
      },
      "codes": {
        "302": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 6081,
      "pendingRequests": 8999,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:20:05.677Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 2320,
      "requestsCompleted": 2365,
      "latency": {
        "min": 318.6,
        "max": 123475.3,
        "median": 94668.7,
        "p95": 118963.2,
        "p99": 120981.9
      },
      "rps": {
        "count": 544,
        "mean": 54.4
      },
      "scenarioDuration": {
        "min": 427.2,
        "max": 189367.4,
        "median": 95343.6,
        "p95": 120090.9,
        "p99": 157554.9
      },
      "scenarioCounts": {
        "CalculatePrice fixed_price plan": 159,
        "CalculatePrice minute plan": 159,
        "GetSpec": 182
      },
      "errors": {
        "ETIMEDOUT": 232,
        "ENOTFOUND": 1
      },
      "codes": {
        "200": 2321,
        "302": 44
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4028,
      "pendingRequests": 7178,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:20:15.668Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 376,
      "requestsCompleted": 399,
      "latency": {
        "min": 402,
        "max": 131758.9,
        "median": 10436.3,
        "p95": 103862.2,
        "p99": 123596.4
      },
      "rps": {
        "count": 524,
        "mean": 52.56
      },
      "scenarioDuration": {
        "min": 416.5,
        "max": 193250.4,
        "median": 11122.3,
        "p95": 104264.6,
        "p99": 140260
      },
      "scenarioCounts": {
        "GetSpec": 166,
        "CalculatePrice minute plan": 172,
        "CalculatePrice fixed_price plan": 162
      },
      "errors": {
        "ETIMEDOUT": 79
      },
      "codes": {
        "200": 375,
        "302": 24
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4073,
      "pendingRequests": 7303,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:20:25.666Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 1,
      "requestsCompleted": 15,
      "latency": {
        "min": 882,
        "max": 140115.5,
        "median": 10879.7,
        "p95": 138935.9,
        "p99": 140115.5
      },
      "rps": {
        "count": 514,
        "mean": 51.45
      },
      "scenarioDuration": {
        "min": 141088.2,
        "max": 141088.2,
        "median": 141088.2,
        "p95": 141088.2,
        "p99": 141088.2
      },
      "scenarioCounts": {
        "CalculatePrice fixed_price plan": 147,
        "CalculatePrice minute plan": 189,
        "GetSpec": 164
      },
      "errors": {
        "ETIMEDOUT": 131
      },
      "codes": {
        "200": 1,
        "302": 14
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4441,
      "pendingRequests": 7802,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:20:35.666Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 12,
      "latency": {
        "min": 7693.9,
        "max": 144192.6,
        "median": 105790.7,
        "p95": 143760.6,
        "p99": 144192.6
      },
      "rps": {
        "count": 512,
        "mean": 51.25
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "CalculatePrice fixed_price plan": 169,
        "CalculatePrice minute plan": 158,
        "GetSpec": 173
      },
      "errors": {
        "ETIMEDOUT": 162
      },
      "codes": {
        "302": 12
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4779,
      "pendingRequests": 8302,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:20:45.666Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 3,
      "latency": {
        "min": 81809.6,
        "max": 140130.9,
        "median": 121129.4,
        "p95": 140130.9,
        "p99": 140130.9
      },
      "rps": {
        "count": 503,
        "mean": 50.35
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "CalculatePrice minute plan": 161,
        "CalculatePrice fixed_price plan": 157,
        "GetSpec": 182
      },
      "errors": {
        "ETIMEDOUT": 179
      },
      "codes": {
        "302": 3
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 5100,
      "pendingRequests": 8802,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:20:55.666Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 42,
      "latency": {
        "min": 24985.3,
        "max": 113391.7,
        "median": 34533.2,
        "p95": 46862.3,
        "p99": 113391.7
      },
      "rps": {
        "count": 542,
        "mean": 54.25
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "CalculatePrice minute plan": 165,
        "GetSpec": 163,
        "CalculatePrice fixed_price plan": 172
      },
      "errors": {
        "ETIMEDOUT": 287
      },
      "codes": {
        "302": 42
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 5313,
      "pendingRequests": 9302,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:21:05.667Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 2,
      "requestsCompleted": 98,
      "latency": {
        "min": 207,
        "max": 49121.6,
        "median": 45894.5,
        "p95": 46264.4,
        "p99": 47855.7
      },
      "rps": {
        "count": 596,
        "mean": 59.66
      },
      "scenarioDuration": {
        "min": 53399.2,
        "max": 138616.7,
        "median": 96007.9,
        "p95": 138616.7,
        "p99": 138616.7
      },
      "scenarioCounts": {
        "CalculatePrice minute plan": 175,
        "GetSpec": 168,
        "CalculatePrice fixed_price plan": 157
      },
      "errors": {
        "ETIMEDOUT": 273,
        "ENOTFOUND": 2,
        "ECONNRESET": 3
      },
      "codes": {
        "200": 2,
        "302": 96
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 5533,
      "pendingRequests": 9800,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:21:15.667Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 83,
      "latency": {
        "min": 38214,
        "max": 64569.8,
        "median": 45579.3,
        "p95": 45851,
        "p99": 58459
      },
      "rps": {
        "count": 583,
        "mean": 58.36
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "CalculatePrice fixed_price plan": 173,
        "GetSpec": 163,
        "CalculatePrice minute plan": 164
      },
      "errors": {
        "ETIMEDOUT": 398,
        "ECONNRESET": 15
      },
      "codes": {
        "302": 83
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 5620,
      "pendingRequests": 10300,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:21:25.666Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 19,
      "requestsCompleted": 70,
      "latency": {
        "min": 52530.7,
        "max": 62481.5,
        "median": 54763.8,
        "p95": 55536.4,
        "p99": 61135.1
      },
      "rps": {
        "count": 551,
        "mean": 55.16
      },
      "scenarioDuration": {
        "min": 53232.2,
        "max": 54615.7,
        "median": 54034.1,
        "p95": 54550.6,
        "p99": 54615.7
      },
      "scenarioCounts": {
        "CalculatePrice minute plan": 199,
        "GetSpec": 149,
        "CalculatePrice fixed_price plan": 152
      },
      "errors": {
        "ETIMEDOUT": 346,
        "ECONNRESET": 34
      },
      "codes": {
        "200": 19,
        "302": 51
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 5721,
      "pendingRequests": 10781,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:21:35.666Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 69,
      "requestsCompleted": 120,
      "latency": {
        "min": 57690,
        "max": 121383.6,
        "median": 112913.8,
        "p95": 120967.8,
        "p99": 121269.8
      },
      "rps": {
        "count": 551,
        "mean": 55.16
      },
      "scenarioDuration": {
        "min": 92241.7,
        "max": 121076.2,
        "median": 119743.6,
        "p95": 120909.1,
        "p99": 121074.1
      },
      "scenarioCounts": {
        "CalculatePrice minute plan": 166,
        "GetSpec": 169,
        "CalculatePrice fixed_price plan": 165
      },
      "errors": {
        "ETIMEDOUT": 314,
        "ECONNRESET": 19,
        "ENOTFOUND": 2
      },
      "codes": {
        "200": 69,
        "302": 51
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 5817,
      "pendingRequests": 11212,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:21:45.666Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 3,
      "requestsCompleted": 87,
      "latency": {
        "min": 197.7,
        "max": 130930.7,
        "median": 86411.7,
        "p95": 86581.7,
        "p99": 114633
      },
      "rps": {
        "count": 584,
        "mean": 58.46
      },
      "scenarioDuration": {
        "min": 140848.3,
        "max": 214163.5,
        "median": 171641.4,
        "p95": 214163.5,
        "p99": 214163.5
      },
      "scenarioCounts": {
        "CalculatePrice minute plan": 156,
        "CalculatePrice fixed_price plan": 182,
        "GetSpec": 162
      },
      "errors": {
        "ETIMEDOUT": 1276,
        "ECONNRESET": 2
      },
      "codes": {
        "200": 3,
        "302": 84
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 5036,
      "pendingRequests": 11709,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:21:55.667Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 69,
      "latency": {
        "min": 82144.8,
        "max": 137668.3,
        "median": 86349.9,
        "p95": 88429.7,
        "p99": 131233.9
      },
      "rps": {
        "count": 568,
        "mean": 56.86
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "GetSpec": 176,
        "CalculatePrice minute plan": 170,
        "CalculatePrice fixed_price plan": 154
      },
      "errors": {
        "ETIMEDOUT": 321
      },
      "codes": {
        "302": 68,
        "500": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 5215,
      "pendingRequests": 12208,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:22:05.667Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 1,
      "requestsCompleted": 46,
      "latency": {
        "min": 86968.5,
        "max": 106984.4,
        "median": 90719,
        "p95": 91976.9,
        "p99": 106984.4
      },
      "rps": {
        "count": 546,
        "mean": 54.65
      },
      "scenarioDuration": {
        "min": 111314.5,
        "max": 111314.5,
        "median": 111314.5,
        "p95": 111314.5,
        "p99": 111314.5
      },
      "scenarioCounts": {
        "CalculatePrice fixed_price plan": 192,
        "GetSpec": 164,
        "CalculatePrice minute plan": 144
      },
      "errors": {
        "ETIMEDOUT": 302,
        "ECONNRESET": 18,
        "ENOTFOUND": 2
      },
      "codes": {
        "302": 46
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 5392,
      "pendingRequests": 12708,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:22:15.667Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 68,
      "requestsCompleted": 75,
      "latency": {
        "min": 92996,
        "max": 104324.7,
        "median": 103130.9,
        "p95": 103813.8,
        "p99": 104216.6
      },
      "rps": {
        "count": 507,
        "mean": 50.75
      },
      "scenarioDuration": {
        "min": 102142.4,
        "max": 103870.1,
        "median": 103100.7,
        "p95": 103769.5,
        "p99": 103858
      },
      "scenarioCounts": {
        "CalculatePrice fixed_price plan": 155,
        "CalculatePrice minute plan": 168,
        "GetSpec": 177
      },
      "errors": {
        "ECONNRESET": 13
      },
      "codes": {
        "200": 68,
        "302": 7
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 5811,
      "pendingRequests": 13140,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:22:25.669Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 11,
      "latency": {
        "min": 104689.1,
        "max": 115501.1,
        "median": 115144.6,
        "p95": 115498.8,
        "p99": 115501.1
      },
      "rps": {
        "count": 509,
        "mean": 50.95
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "GetSpec": 167,
        "CalculatePrice minute plan": 162,
        "CalculatePrice fixed_price plan": 171
      },
      "errors": {
        "ECONNRESET": 47
      },
      "codes": {
        "302": 11
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 6264,
      "pendingRequests": 13638,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:22:35.666Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 49,
      "requestsCompleted": 91,
      "latency": {
        "min": 114707.8,
        "max": 118417,
        "median": 116101.2,
        "p95": 117029.2,
        "p99": 117935.2
      },
      "rps": {
        "count": 544,
        "mean": 54.51
      },
      "scenarioDuration": {
        "min": 114718.8,
        "max": 116501.7,
        "median": 115818.5,
        "p95": 116413.5,
        "p99": 116501.7
      },
      "scenarioCounts": {
        "GetSpec": 170,
        "CalculatePrice fixed_price plan": 159,
        "CalculatePrice minute plan": 171
      },
      "errors": {
        "ENOTFOUND": 2,
        "ETIMEDOUT": 34
      },
      "codes": {
        "200": 49,
        "302": 42
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 6679,
      "pendingRequests": 14091,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:22:45.668Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 468,
      "requestsCompleted": 581,
      "latency": {
        "min": 191.3,
        "max": 120985.9,
        "median": 115160.1,
        "p95": 120094.7,
        "p99": 120723.3
      },
      "rps": {
        "count": 613,
        "mean": 61.36
      },
      "scenarioDuration": {
        "min": 39929.7,
        "max": 163275.6,
        "median": 116656.5,
        "p95": 121928.8,
        "p99": 151233.8
      },
      "scenarioCounts": {
        "CalculatePrice minute plan": 166,
        "GetSpec": 158,
        "CalculatePrice fixed_price plan": 176
      },
      "errors": {
        "ETIMEDOUT": 278
      },
      "codes": {
        "200": 468,
        "302": 113
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 6433,
      "pendingRequests": 14123,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:22:55.667Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 53,
      "requestsCompleted": 291,
      "latency": {
        "min": 200.4,
        "max": 140137.6,
        "median": 6112.7,
        "p95": 101076.2,
        "p99": 126880.9
      },
      "rps": {
        "count": 737,
        "mean": 73.77
      },
      "scenarioDuration": {
        "min": 2486.2,
        "max": 158840.6,
        "median": 57443.3,
        "p95": 142803.9,
        "p99": 158671.8
      },
      "scenarioCounts": {
        "CalculatePrice fixed_price plan": 158,
        "GetSpec": 161,
        "CalculatePrice minute plan": 181
      },
      "errors": {
        "ETIMEDOUT": 255
      },
      "codes": {
        "200": 54,
        "302": 237
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 6625,
      "pendingRequests": 14569,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:23:05.667Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 72,
      "requestsCompleted": 316,
      "latency": {
        "min": 203.3,
        "max": 142108.2,
        "median": 4745.9,
        "p95": 71375.4,
        "p99": 134681.2
      },
      "rps": {
        "count": 742,
        "mean": 74.35
      },
      "scenarioDuration": {
        "min": 1490,
        "max": 161211.5,
        "median": 10930.5,
        "p95": 110603.1,
        "p99": 157085.3
      },
      "scenarioCounts": {
        "CalculatePrice fixed_price plan": 173,
        "CalculatePrice minute plan": 154,
        "GetSpec": 173
      },
      "errors": {
        "ETIMEDOUT": 522,
        "ENOTFOUND": 1
      },
      "codes": {
        "200": 74,
        "302": 242
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 6530,
      "pendingRequests": 14995,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:23:15.672Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 74,
      "requestsCompleted": 275,
      "latency": {
        "min": 192.5,
        "max": 118758.3,
        "median": 4888.3,
        "p95": 93245.1,
        "p99": 110501.3
      },
      "rps": {
        "count": 700,
        "mean": 70.07
      },
      "scenarioDuration": {
        "min": 1306.8,
        "max": 175670.8,
        "median": 9530.1,
        "p95": 115045.1,
        "p99": 166155.3
      },
      "scenarioCounts": {
        "CalculatePrice fixed_price plan": 187,
        "GetSpec": 158,
        "CalculatePrice minute plan": 155
      },
      "errors": {
        "ETIMEDOUT": 552,
        "ECONNRESET": 1
      },
      "codes": {
        "200": 73,
        "302": 202
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 6403,
      "pendingRequests": 15420,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:23:25.670Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 9,
      "requestsCompleted": 79,
      "latency": {
        "min": 919.2,
        "max": 31718.8,
        "median": 4302.7,
        "p95": 26033.8,
        "p99": 30176.3
      },
      "rps": {
        "count": 573,
        "mean": 57.3
      },
      "scenarioDuration": {
        "min": 4487.1,
        "max": 117036.7,
        "median": 16900.1,
        "p95": 117036.7,
        "p99": 117036.7
      },
      "scenarioCounts": {
        "GetSpec": 168,
        "CalculatePrice minute plan": 172,
        "CalculatePrice fixed_price plan": 160
      },
      "errors": {
        "ETIMEDOUT": 529
      },
      "codes": {
        "200": 8,
        "302": 71
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 6365,
      "pendingRequests": 15914,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:23:35.670Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 1,
      "requestsCompleted": 7,
      "latency": {
        "min": 3606.6,
        "max": 45915.7,
        "median": 13074,
        "p95": 45915.7,
        "p99": 45915.7
      },
      "rps": {
        "count": 507,
        "mean": 50.75
      },
      "scenarioDuration": {
        "min": 56252.9,
        "max": 56252.9,
        "median": 56252.9,
        "p95": 56252.9,
        "p99": 56252.9
      },
      "scenarioCounts": {
        "GetSpec": 161,
        "CalculatePrice fixed_price plan": 172,
        "CalculatePrice minute plan": 167
      },
      "errors": {
        "ETIMEDOUT": 534
      },
      "codes": {
        "302": 7
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 6330,
      "pendingRequests": 16414,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:23:45.669Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 10,
      "latency": {
        "min": 1073.4,
        "max": 44979.7,
        "median": 6259.7,
        "p95": 44979.7,
        "p99": 44979.7
      },
      "rps": {
        "count": 510,
        "mean": 51.05
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "CalculatePrice minute plan": 160,
        "GetSpec": 179,
        "CalculatePrice fixed_price plan": 161
      },
      "errors": {
        "ETIMEDOUT": 560
      },
      "codes": {
        "302": 10
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 6270,
      "pendingRequests": 16914,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:23:55.669Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 3,
      "latency": {
        "min": 896.5,
        "max": 25178.9,
        "median": 14937.3,
        "p95": 25178.9,
        "p99": 25178.9
      },
      "rps": {
        "count": 503,
        "mean": 50.35
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "GetSpec": 171,
        "CalculatePrice fixed_price plan": 154,
        "CalculatePrice minute plan": 175
      },
      "errors": {
        "ETIMEDOUT": 543
      },
      "codes": {
        "302": 3
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 6227,
      "pendingRequests": 17414,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:24:05.674Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 1074,
      "requestsCompleted": 1097,
      "latency": {
        "min": 359.3,
        "max": 46051.9,
        "median": 9480.4,
        "p95": 45269,
        "p99": 45373.5
      },
      "rps": {
        "count": 522,
        "mean": 52.25
      },
      "scenarioDuration": {
        "min": 435.3,
        "max": 71223.2,
        "median": 9526.1,
        "p95": 45323.1,
        "p99": 49454.4
      },
      "scenarioCounts": {
        "GetSpec": 154,
        "CalculatePrice fixed_price plan": 174,
        "CalculatePrice minute plan": 172
      },
      "errors": {
        "ETIMEDOUT": 496,
        "ESOCKETTIMEDOUT": 102,
        "ECONNRESET": 1
      },
      "codes": {
        "200": 1075,
        "302": 22
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 5054,
      "pendingRequests": 16839,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:24:15.676Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 1573,
      "requestsCompleted": 1660,
      "latency": {
        "min": 202,
        "max": 121382.4,
        "median": 45382.9,
        "p95": 119344.6,
        "p99": 120649.9
      },
      "rps": {
        "count": 588,
        "mean": 58.8
      },
      "scenarioDuration": {
        "min": 407.9,
        "max": 220874.1,
        "median": 45545.8,
        "p95": 120062.3,
        "p99": 201537.5
      },
      "scenarioCounts": {
        "CalculatePrice fixed_price plan": 149,
        "GetSpec": 203,
        "CalculatePrice minute plan": 148
      },
      "errors": {
        "ETIMEDOUT": 190,
        "ECONNRESET": 8
      },
      "codes": {
        "200": 1572,
        "302": 88
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 3783,
      "pendingRequests": 15767,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:24:25.671Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 2,
      "requestsCompleted": 55,
      "latency": {
        "min": 205.6,
        "max": 134043.1,
        "median": 19146.4,
        "p95": 125973.4,
        "p99": 133681.3
      },
      "rps": {
        "count": 553,
        "mean": 55.36
      },
      "scenarioDuration": {
        "min": 63702.8,
        "max": 231297.4,
        "median": 147500.1,
        "p95": 231297.4,
        "p99": 231297.4
      },
      "scenarioCounts": {
        "CalculatePrice fixed_price plan": 162,
        "CalculatePrice minute plan": 162,
        "GetSpec": 176
      },
      "errors": {
        "ETIMEDOUT": 1221
      },
      "codes": {
        "200": 2,
        "302": 53
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 3060,
      "pendingRequests": 16265,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:24:35.671Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 1,
      "requestsCompleted": 22,
      "latency": {
        "min": 195.8,
        "max": 136565.2,
        "median": 7588,
        "p95": 128935.7,
        "p99": 136565.2
      },
      "rps": {
        "count": 521,
        "mean": 52.15
      },
      "scenarioDuration": {
        "min": 239938.5,
        "max": 239938.5,
        "median": 239938.5,
        "p95": 239938.5,
        "p99": 239938.5
      },
      "scenarioCounts": {
        "CalculatePrice fixed_price plan": 164,
        "CalculatePrice minute plan": 164,
        "GetSpec": 172
      },
      "errors": {
        "ETIMEDOUT": 424
      },
      "codes": {
        "200": 1,
        "302": 21
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 3135,
      "pendingRequests": 16764,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:24:45.669Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 1,
      "requestsCompleted": 22,
      "latency": {
        "min": 202.4,
        "max": 151880.6,
        "median": 50783.9,
        "p95": 151096.4,
        "p99": 151880.6
      },
      "rps": {
        "count": 521,
        "mean": 52.15
      },
      "scenarioDuration": {
        "min": 181613.1,
        "max": 181613.1,
        "median": 181613.1,
        "p95": 181613.1,
        "p99": 181613.1
      },
      "scenarioCounts": {
        "CalculatePrice minute plan": 166,
        "GetSpec": 160,
        "CalculatePrice fixed_price plan": 174
      },
      "errors": {
        "ETIMEDOUT": 494
      },
      "codes": {
        "200": 1,
        "302": 21
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 3140,
      "pendingRequests": 17263,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:24:55.672Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 23,
      "latency": {
        "min": 871.1,
        "max": 15681.3,
        "median": 4924.3,
        "p95": 15634.5,
        "p99": 15681.3
      },
      "rps": {
        "count": 523,
        "mean": 52.35
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "CalculatePrice minute plan": 173,
        "CalculatePrice fixed_price plan": 170,
        "GetSpec": 157
      },
      "errors": {
        "ETIMEDOUT": 495
      },
      "codes": {
        "302": 23
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 3145,
      "pendingRequests": 17763,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:25:05.671Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 2,
      "requestsCompleted": 79,
      "latency": {
        "min": 831.2,
        "max": 89021.6,
        "median": 6240.7,
        "p95": 88913.1,
        "p99": 89004.1
      },
      "rps": {
        "count": 577,
        "mean": 57.76
      },
      "scenarioDuration": {
        "min": 13230.5,
        "max": 21394.9,
        "median": 17312.7,
        "p95": 21394.9,
        "p99": 21394.9
      },
      "scenarioCounts": {
        "CalculatePrice fixed_price plan": 166,
        "GetSpec": 177,
        "CalculatePrice minute plan": 157
      },
      "errors": {
        "ETIMEDOUT": 105
      },
      "codes": {
        "200": 2,
        "302": 77
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 3538,
      "pendingRequests": 18261,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:25:15.671Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 64,
      "requestsCompleted": 91,
      "latency": {
        "min": 336,
        "max": 89622.3,
        "median": 6501.7,
        "p95": 47941.8,
        "p99": 89307
      },
      "rps": {
        "count": 526,
        "mean": 52.65
      },
      "scenarioDuration": {
        "min": 478.3,
        "max": 135316.2,
        "median": 7164.2,
        "p95": 89101.7,
        "p99": 131519.3
      },
      "scenarioCounts": {
        "GetSpec": 175,
        "CalculatePrice fixed_price plan": 176,
        "CalculatePrice minute plan": 149
      },
      "errors": {
        "ETIMEDOUT": 498
      },
      "codes": {
        "200": 65,
        "302": 26
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 3476,
      "pendingRequests": 18696,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:25:25.671Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 32,
      "requestsCompleted": 32,
      "latency": {
        "min": 427.8,
        "max": 47170.1,
        "median": 5715.1,
        "p95": 46905.5,
        "p99": 47170.1
      },
      "rps": {
        "count": 501,
        "mean": 50.15
      },
      "scenarioDuration": {
        "min": 443.7,
        "max": 47181,
        "median": 5730.2,
        "p95": 46922.9,
        "p99": 47181
      },
      "scenarioCounts": {
        "CalculatePrice minute plan": 170,
        "CalculatePrice fixed_price plan": 155,
        "GetSpec": 175
      },
      "errors": {
        "ETIMEDOUT": 91
      },
      "codes": {
        "200": 31,
        "302": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 3853,
      "pendingRequests": 19165,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:25:35.671Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 159,
      "requestsCompleted": 159,
      "latency": {
        "min": 414.7,
        "max": 48097.7,
        "median": 6928.9,
        "p95": 46897.7,
        "p99": 47243.4
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": 429.3,
        "max": 48114.2,
        "median": 6942.2,
        "p95": 46917.1,
        "p99": 47256
      },
      "scenarioCounts": {
        "CalculatePrice fixed_price plan": 175,
        "CalculatePrice minute plan": 159,
        "GetSpec": 166
      },
      "errors": {
        "ETIMEDOUT": 45
      },
      "codes": {
        "200": 159
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4149,
      "pendingRequests": 19506,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:25:45.672Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 74,
      "requestsCompleted": 76,
      "latency": {
        "min": 441.4,
        "max": 89323.2,
        "median": 4635.5,
        "p95": 76589.7,
        "p99": 89311.7
      },
      "rps": {
        "count": 501,
        "mean": 50.15
      },
      "scenarioDuration": {
        "min": 456.1,
        "max": 89338.7,
        "median": 4653.6,
        "p95": 80807.1,
        "p99": 89324.6
      },
      "scenarioCounts": {
        "CalculatePrice fixed_price plan": 175,
        "GetSpec": 164,
        "CalculatePrice minute plan": 161
      },
      "errors": {
        "ETIMEDOUT": 16
      },
      "codes": {
        "200": 75,
        "302": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4559,
      "pendingRequests": 19931,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:25:55.680Z",
      "scenariosCreated": 26,
      "scenariosCompleted": 10,
      "requestsCompleted": 77,
      "latency": {
        "min": 193.1,
        "max": 89590.6,
        "median": 10130.3,
        "p95": 89337.5,
        "p99": 89554.1
      },
      "rps": {
        "count": 93,
        "mean": 9.3
      },
      "scenarioDuration": {
        "min": 3060.8,
        "max": 89333.1,
        "median": 14312.5,
        "p95": 89333.1,
        "p99": 89333.1
      },
      "scenarioCounts": {
        "GetSpec": 12,
        "CalculatePrice fixed_price plan": 8,
        "CalculatePrice minute plan": 6
      },
      "errors": {
        "ETIMEDOUT": 320
      },
      "codes": {
        "200": 10,
        "302": 67
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4255,
      "pendingRequests": 19947,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:26:05.679Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 9,
      "requestsCompleted": 33,
      "latency": {
        "min": 6310.5,
        "max": 91157.6,
        "median": 45831.5,
        "p95": 89521.7,
        "p99": 91157.6
      },
      "rps": {
        "count": 25,
        "mean": 2.56
      },
      "scenarioDuration": {
        "min": 11263.2,
        "max": 98055.8,
        "median": 46757.6,
        "p95": 98055.8,
        "p99": 98055.8
      },
      "scenarioCounts": {},
      "errors": {
        "ETIMEDOUT": 560
      },
      "codes": {
        "200": 8,
        "302": 25
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 3686,
      "pendingRequests": 19939,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:26:15.684Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 2,
      "requestsCompleted": 24,
      "latency": {
        "min": 208,
        "max": 88349.9,
        "median": 45517.8,
        "p95": 88341.6,
        "p99": 88349.9
      },
      "rps": {
        "count": 22,
        "mean": 2.2
      },
      "scenarioDuration": {
        "min": 23543.8,
        "max": 96442,
        "median": 59992.9,
        "p95": 96442,
        "p99": 96442
      },
      "scenarioCounts": {},
      "errors": {
        "ETIMEDOUT": 536
      },
      "codes": {
        "200": 2,
        "302": 22
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 3148,
      "pendingRequests": 19937,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:26:25.684Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 68,
      "requestsCompleted": 73,
      "latency": {
        "min": 6667.6,
        "max": 95937.3,
        "median": 44954.5,
        "p95": 87213.2,
        "p99": 93956.8
      },
      "rps": {
        "count": 5,
        "mean": 0.65
      },
      "scenarioDuration": {
        "min": 33453.5,
        "max": 96916.8,
        "median": 47252.1,
        "p95": 87318.6,
        "p99": 96911.7
      },
      "scenarioCounts": {},
      "errors": {
        "ETIMEDOUT": 498
      },
      "codes": {
        "200": 68,
        "302": 5
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 2582,
      "pendingRequests": 19869,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:26:35.689Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 63,
      "requestsCompleted": 115,
      "latency": {
        "min": 193.2,
        "max": 87235.8,
        "median": 85379.5,
        "p95": 86979.5,
        "p99": 87202.9
      },
      "rps": {
        "count": 52,
        "mean": 11.06
      },
      "scenarioDuration": {
        "min": 44794.9,
        "max": 135044.1,
        "median": 86763.9,
        "p95": 94721.4,
        "p99": 134913.8
      },
      "scenarioCounts": {},
      "errors": {
        "ETIMEDOUT": 499
      },
      "codes": {
        "200": 63,
        "302": 52
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 2020,
      "pendingRequests": 19806,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:26:45.688Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 84,
      "requestsCompleted": 106,
      "latency": {
        "min": 273.5,
        "max": 106756.6,
        "median": 85067.5,
        "p95": 85769.5,
        "p99": 95095.5
      },
      "rps": {
        "count": 21,
        "mean": 2.12
      },
      "scenarioDuration": {
        "min": 59235.4,
        "max": 111316,
        "median": 85175.9,
        "p95": 91250.5,
        "p99": 109893.1
      },
      "scenarioCounts": {},
      "errors": {
        "ETIMEDOUT": 428,
        "ESOCKETTIMEDOUT": 8
      },
      "codes": {
        "200": 85,
        "302": 21
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1500,
      "pendingRequests": 19721,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:26:55.691Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 391,
      "requestsCompleted": 552,
      "latency": {
        "min": 204.1,
        "max": 87658.4,
        "median": 85245.4,
        "p95": 86300.6,
        "p99": 86637.7
      },
      "rps": {
        "count": 160,
        "mean": 16.03
      },
      "scenarioDuration": {
        "min": 69577.7,
        "max": 137346.9,
        "median": 85907.3,
        "p95": 100872.7,
        "p99": 134116.4
      },
      "scenarioCounts": {},
      "errors": {
        "ETIMEDOUT": 336,
        "ESOCKETTIMEDOUT": 1,
        "ECONNRESET": 42
      },
      "codes": {
        "200": 392,
        "302": 160
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 730,
      "pendingRequests": 19329,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:27:05.703Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 419,
      "requestsCompleted": 455,
      "latency": {
        "min": 265.2,
        "max": 105572.3,
        "median": 85415.6,
        "p95": 86425.3,
        "p99": 87209
      },
      "rps": {
        "count": 38,
        "mean": 3.8
      },
      "scenarioDuration": {
        "min": 84904.1,
        "max": 132777.9,
        "median": 85560.2,
        "p95": 86785.9,
        "p99": 90376.8
      },
      "scenarioCounts": {},
      "errors": {},
      "codes": {
        "200": 417,
        "302": 38
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 311,
      "pendingRequests": 18912,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:27:15.696Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 162,
      "requestsCompleted": 306,
      "latency": {
        "min": 195.8,
        "max": 102466.8,
        "median": 84905.1,
        "p95": 85813.8,
        "p99": 88248.4
      },
      "rps": {
        "count": 142,
        "mean": 16.38
      },
      "scenarioDuration": {
        "min": 85076,
        "max": 176021.4,
        "median": 85989.1,
        "p95": 93533.7,
        "p99": 111826.8
      },
      "scenarioCounts": {},
      "errors": {
        "ETIMEDOUT": 10
      },
      "codes": {
        "200": 164,
        "302": 142
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 139,
      "pendingRequests": 18748,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:27:25.701Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 34,
      "requestsCompleted": 68,
      "latency": {
        "min": 193.6,
        "max": 112931.8,
        "median": 928.6,
        "p95": 87129.1,
        "p99": 112817
      },
      "rps": {
        "count": 34,
        "mean": 3.43
      },
      "scenarioDuration": {
        "min": 92111.2,
        "max": 175689,
        "median": 111991.1,
        "p95": 175629.5,
        "p99": 175689
      },
      "scenarioCounts": {},
      "errors": {
        "ETIMEDOUT": 98
      },
      "codes": {
        "200": 34,
        "302": 34
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 7,
      "pendingRequests": 18714,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:27:35.707Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 3,
      "requestsCompleted": 4,
      "latency": {
        "min": 280.2,
        "max": 118324,
        "median": 52291.2,
        "p95": 118324,
        "p99": 118324
      },
      "rps": {
        "count": 2,
        "mean": 0.24
      },
      "scenarioDuration": {
        "min": 111734.9,
        "max": 118672.1,
        "median": 112096,
        "p95": 118672.1,
        "p99": 118672.1
      },
      "scenarioCounts": {},
      "errors": {},
      "codes": {
        "200": 2,
        "302": 2
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4,
      "pendingRequests": 18712,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:27:45.708Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 2,
      "requestsCompleted": 1,
      "latency": {
        "min": 112839.7,
        "max": 112839.7,
        "median": 112839.7,
        "p95": 112839.7,
        "p99": 112839.7
      },
      "rps": {
        "count": 0,
        "mean": null
      },
      "scenarioDuration": {
        "min": 112161.6,
        "max": 114657.8,
        "median": 113409.7,
        "p95": 114657.8,
        "p99": 114657.8
      },
      "scenarioCounts": {},
      "errors": {},
      "codes": {
        "200": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 2,
      "pendingRequests": 18711,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:27:55.709Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 0,
        "mean": null
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {},
      "errors": {},
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 2,
      "pendingRequests": 18711,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:28:05.712Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 0,
        "mean": null
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {},
      "errors": {},
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 2,
      "pendingRequests": 18711,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T13:28:09.282Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 0,
        "mean": null
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {},
      "errors": {
        "ESOCKETTIMEDOUT": 2
      },
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 18711,
      "scenariosAvoided": 0
    }
  ]
};
  </script>

  <style>
      h1 {
        line-height: 200%;
      }

      body {
          background-color: #fcfcfc;
      }

      .container {
          width: 100%;
          min-width: 960px;
      }
  </style>


</head>
<body>

<div class="container">

<div class="row" id="header">
  <div class="col-lg-4 col-lg-offset-4">
    <pre style="font-size: 5pt; background-color: #fcfcfc; border: none;">
            _   _ _ _                                                _
  __ _ _ __| |_(_) | | ___ _ __ _   _      _ __ ___ _ __   ___  _ __| |_
 / _` | '__| __| | | |/ _ \ '__| | | |    | '__/ _ \ '_ \ / _ \| '__| __|
| (_| | |  | |_| | | |  __/ |  | |_| |    | | |  __/ |_) | (_) | |  | |_
 \__,_|_|   \__|_|_|_|\___|_|   \__, |    |_|  \___| .__/ \___/|_|   \__|
                                |___/              |_|

    </pre>
  </div>
</div>

<div class="row">
  <div class="col-lg-12">
    <h1 class="text-center" id="page-title">Test run on <span id="timestamp">date</span></h1>
  </div>
</div>

<div class="row">
  <div class="col-lg-3">
    <p><strong>Summary</strong></p>
    <table class="table table-bordered table-hover table-condensed">
      <tbody>
        <tr>
          <td>Test duration</td>
          <td><span id="testDuration">0</span> sec</td>
        </tr>
        <tr>
          <td>Scenarios created</td>
          <td><span id="scenariosCreated">0</span></td>
        </tr>

        <tr>
          <td>Scenarios completed</td>
          <td><span id="scenariosCompleted">0</span></td>
        </tr>
      </tbody>
    </table>
  </div>

  <div class="col-lg-5" id="scenarioCountsContainer">
    <div>
      <strong>Scenario counts:</strong>

      <p></p>

      <table class="table table-bordered table-hover table-condensed" id="scenarioCounts">
      </table>
    </div>
  </div>

  <div class="col-lg-1">
    <div id="codesContainer">
      <strong>Codes</strong>

      <p></p>

      <table class="table table-bordered table-hover table-condensed" id="codes">
      </table>
    </div>
  </div>

  <div class="col-lg-3">
    <div id="errorsContainer">
      <strong>Errors</strong>

      <p></p>

      <table class="table table-bordered table-hover table-condensed" id="errors">
      </table>
    </div>
  </div>
</div> <!-- /.row -->

<div class="row">
  <div class="text-center col-lg-12">
    <h2>Charts</h2>
  </div>
</div>

<div class="row">
  <div class="latency-histogram text-center col-lg-12"></div>
</div>

<div class="row">
  <div class="latency text-center col-lg-12"></div>
</div>

<div class="latency-legend"></div>

<div class="row">

</div>

<div class="row">
  <div class="concurrency text-center col-lg-12"></div>
</div>

<div class="row">
  <div class="rps-mean text-center col-lg-12"></div>
</div>
<div class="row">
  <div class="rps-count text-center col-lg-12"></div>
</div>

<div class="row">
  <div class="codes-line text-center col-lg-12"></div>
</div>
<div class="row">
  <div class="errors-line text-center col-lg-12"></div>
</div>


  


</div>

<div class="row">
  <div class="col-lg-8 col-lg-offset-2">
    <h3 class="text-center">Raw report data</h3>
    <p>This is the raw JSON stats output that the report was generated from.</p>
    <div id="editor">
    </div>
  </div>
</div>

<script>
var editor = ace.edit("editor");
editor.getSession().setMode("ace/mode/javascript");
editor.setValue(JSON.stringify(Report, null, 2));
editor.gotoLine(1);editor.setHighlightActiveLine(false);

var l = _;

$('#timestamp').html(moment(Report.aggregate.timestamp).format('DD MMM YYYY HH:mm:SS'));
$('#testDuration').html(l.size(Report.intermediate) * 10);
$('#scenariosCompleted').html(Report.aggregate.scenariosCompleted);
$('#scenariosCreated').html(Report.aggregate.scenariosCreated);

var markers = [];
if(l.size(Report.phases) > 0) {
  markers = l.foldl(Report.phases, function(acc, phase, index) {
    var label = phase.name || 'Phase ' + (index + 1);
    var timestamp = (index === 0) ? 0 : Report.phases[index - 1].duration + acc[index - 1].timestamp;

    acc.push({
      timestamp: timestamp,
      label: label
    });

    return acc;
  }, []);
}

if (l.size(Report.aggregate.scenarioCounts) > 0) {
  l.each(Report.aggregate.scenarioCounts, function(count, name) {
    var $tdName = $('<td>' + name + '</td>');
    var percentage = Math.round(count / Report.aggregate.scenariosCreated * 100 * 1000) / 1000;
    var $tdCount = $('<td>' + count + ' (' + percentage + '%)' + '</td>');
    var $el = $('<tr></tr>')
      .append($tdName)
      .append($tdCount)
      .appendTo($('#scenarioCounts'));
  });
} else {
  $('#scenarioCountsContainer').hide();
}

if (l.size(Report.aggregate.codes) > 0) {
  l.each(Report.aggregate.codes, function(count, code) {
    var anchor = '';
    if (code >= 100 && code < 200) {
      anchor = '#1xx_Informational';
    } else if (code >= 200 && code < 300) {
      anchor = '#2xx_Success';
    } else if (code >= 300 && code < 400) {
      anchor = '#3xx_Redirection';
    } else if (code >= 400 && code < 500) {
      anchor = '#4xx_Client_Error';
    } else if (code >= 500 && code < 600) {
      anchor = '#5xx_Server_Error';
    }

    var $a = $('<a>' + code + '</a>').attr('href', 'https://en.wikipedia.org/wiki/List_of_HTTP_status_codes' + anchor);
    var $td = $('<td></td>').append($a);
    var $el = $('<tr></tr>')
      .append($td)
      .append($('<td>' + count + '</td>'))
      .appendTo($('#codes'));
  });
} else {
  $('#codesContainer').hide();
}

if (l.size(Report.aggregate.errors) > 0) {
  l.each(Report.aggregate.errors, function(count, code) {
    var $el = $('<tr></tr>')
      .append($('<td>' + code + '</td>'))
      .append($('<td>' + count + '</td>'))
      .appendTo($('#errors'));
  });
} else {
  $('#errorsContainer > p').html('&#10004; Test completed without network or OS errors.');
}

var histogramData = l.map(Report.aggregate.latency, function(v, k) { return {bin: k, value: v} });

MG.data_graphic({
  chart_type: 'bar',
  x_label: 'Percentile',
  y_label: '(ms)',
  animate_on_load: true,
  title: 'Overall Latency Distribution',
  description: 'Distribution of all observed response latencies',
  target: '.latency-histogram',
  data: histogramData,
  x_accessor: 'bin',
  y_accessor: 'value',
  binned: true,
  height: 250,
  interpolate: 'monotone',
  padding_percentage: 0,
  bar_orientation: 'vertical',
  width: 450
});

var chartData = l.map(
  window.Report.intermediate,
  function(o,i) {
    return {
      timestamp: i*10+10,

      rpsMean: o.rps.mean,
      rpsCount: o.rps.count,
      concurrency: o.concurrency,
      latencyMax: o.latency.max,
      latencyp99: o.latency.p99,
      latencyp95: o.latency.p95,
      latencyMedian: o.latency.median,
      latencyMin: o.latency.min
    }
  });

//
// Response codes
//

if (l.size(Report.aggregate.codes) > 0) {
  var codesData = l.foldl(Report.intermediate, function(acc, o, i) {
    var res = {};
    res.timestamp = i*10+10;
    l.each(o.codes, function(count, code) {
      res[code] = count;
    });
    acc.push(res);
    return acc;
  }, []);
  var uniqueCodes = l.foldl(Report.intermediate, function(acc, o) {
    l.each(o.codes, function(count, code) {
      if (l.indexOf(acc, code) === -1) {
        acc.push(code);
      }
    });
    return acc;
  }, []);

  MG.data_graphic({
    x_label: 'Time',
    y_label: 'Count',
    title: 'HTTP codes',
    description: 'Occurence of HTTP response codes',
    target: '.codes-line',
    data: codesData,
    x_accessor: 'timestamp',
    y_accessor: uniqueCodes,
    legend: uniqueCodes,
    right: 50,
    chart_type: 'line',
    area: false,
    markers: markers,
    width: 900
  });
}

//
// Errors
//

if (l.size(Report.aggregate.errors) > 0) {
  var errorData = l.foldl(Report.intermediate, function(acc, o, i) {
    var res = {};
    res.timestamp = i*10+10;
    l.each(o.errors, function(count, name) {
      res[name] = count;
    });
    acc.push(res);
    return acc;
  }, []);
  var uniqueErrors = l.foldl(Report.intermediate, function(acc, o) {
    l.each(o.errors, function(count, name) {
      if (l.indexOf(acc, name) === -1) {
        acc.push(name);
      }
    });
    return acc;
  }, []);

  MG.data_graphic({
    title: 'Error Codes',
    description: 'Occurence of error codes',
    target: '.errors-line',
    data: errorData,
    x_accessor: 'timestamp',
    y_accessor: uniqueErrors,
    chart_type: 'line',
    area: false,
    markers: markers
  });

}

//
// Latency
//
MG.data_graphic({
  chart_type: 'line',
  x_label: 'Time',
  y_label: '(ms)',
  animate_on_load: true,
  area: false,
  title: "Latency At Intervals",
  description: "Latency values at different points during the test run",
  data: chartData,
  target: '.latency',
  width: 900,
  x_accessor: 'timestamp',
  y_accessor: ['latencyMin', 'latencyMedian', 'latencyp95', 'latencyMax'],
  legend: ['min', 'p50', 'p95', 'max'],
  //legend_target: '.latency-legend',
  right: 50,
  interpolate: 'monotone',
  mouseover: function(d, i) {
  },
  markers: markers
        });

            MG.data_graphic({
            animate_on_load: true,
            area: false,
            y_label: 'Count',
            x_label: 'Time',
            title: 'Concurrent users',
            description: 'Concurrent users',
            data: chartData,
            target: '.concurrency',
            x_accessor: 'timestamp',
            y_accessor: ['concurrency'],
            interpolate: 'monotone',
            markers: markers,
            width: 900
            });

MG.data_graphic({
  animate_on_load: true,
  area: false,
  y_label: 'Count',
  x_label: 'Time',
  title: 'Mean RPS',
  description: 'Mean requests per second',
  data: chartData,
  target: '.rps-mean',
  x_accessor: 'timestamp',
  y_accessor: ['rpsMean'],
  interpolate: 'monotone',
  markers: markers,
  width: 900
});

MG.data_graphic({
  animate_on_load: true,
  area: false,
  y_label: 'Count',
  x_label: 'Time',
  title: 'RPS Count',
  description: 'Count of requests per second',
  data: chartData,
  target: '.rps-count',
  x_accessor: 'timestamp',
  y_accessor: ['rpsCount'],
  interpolate: 'monotone',
  markers: markers,
  width: 900
});
</script>
<div id="footer">
  <footer>This report was created with <a href="https://artillery.io">Artillery</a> - free open-source load-testing for HTTP and WebSockets</footer>
</div>
</body>
</html>
